<?php
/*

Copyright (c)2002-2003 DuckCorp(tm) and RtpNet(tm)



This file is part of LMS.

LMS is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

LMS is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with LMS; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

	function manage_preprocess()
	{
		global $error, $entry, $entry2, $object;

		if ($object=="Server Host")
		{
			get_from_multientry("macaddress", "mac");
			get_from_multientry("iphostnumber", "ip");
			get_from_checkbok("isrouter");
		}
		else
		{
			get_from_checkbok("ismobilecomputer");
		}
	}

	function manage_check_validity()
	{       
		global $error, $entry, $entry2, $object;

		manage_check_validity_1();
		if (!$error)
			if ($entry2[old_cn]!=$entry[cn][0])
				manage_check_validity_2();
	}

	function manage_check_validity_1()
	{
		global $error, $entry, $entry2, $object;

		test_attribute_required("Host Name", "cn");
		if (!$error)
			test_attribute_without_space("Host Name", "cn");

		if ($object=="Server Host")
		{
			if (!$entry2[mac])
			{
				print("<TR><TD class=col3 colspan=2>You must specify a MAC address</TD></TR>");
				$error=true;
			}
		}
		else
		{
			test_attribute_without_space("MAC address", "macaddress");
		}
		
		if ($object=="Server Host")
		{
			if (!$entry2[ip])
			{
				print("<TR><TD class=col3 colspan=2>You must specify an IP address</TD></TR>");
				$error=true;
			}
		}
		else
		{
			test_attribute_without_space("IP address", "iphostnumber");
		}
		
		test_attribute_required("Owner", "owneruid");
		if (!$error)
			test_attribute_is_int("Owner", "owneruid");

		if ($object=="Server Host")
			test_attribute_required("Administrator", "adminuid");
	}

	function manage_check_validity_2()
	{
		global $error, $entry, $ds, $config, $object, $hostslist;

		if (in_array($entry["cn"][0], $hostslist))
		{
			print("<TR><TD class=col3 colspan=2>This Name is already Used by another Host</TD></TR>");
			$error=true;
		}
	}

	function manage_process()
	{
	}

	function manage_propagate_changes()
	{       
		global $ds, $config, $entry, $entry2, $object;

		if ($entry2[old_cn]!=$entry[cn][0])
		{
			propagate_changes("hostname", $entry2[old_cn], $entry[cn][0]);
			propagate_changes("servername", $entry2[old_cn], $entry[cn][0]);
			propagate_changes("primaryServername", $entry2[old_cn], $entry[cn][0]);
		}
	}

	$oldkey_manage="old_cn";
	$key_manage="cn";
?>
